Skip to main content
GET
/
networks
/
custom
/
scrubrate
/
{settingId}
Get Custom Scrub Rate by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/custom/scrubrate/{settingId} \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/custom/scrubrate/{settingId}"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/custom/scrubrate/{settingId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "network_custom_scrub_rate_setting_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "network_affiliate_id": 123,
  "name": "<string>",
  "scrub_rate_percentage": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "affiliate": {
      "network_affiliate_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>",
      "network_employee_id": 123,
      "internal_notes": "<string>",
      "has_notifications": true,
      "network_traffic_source_id": 123,
      "account_executive_id": 123,
      "adress_id": 123,
      "default_currency_id": "<string>",
      "is_contact_address_enabled": true,
      "enable_media_cost_tracking_links": true,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "referrer_id": 123
    },
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "ruleset": {},
    "variables": {
      "total": 123,
      "entries": [
        {
          "network_custom_scrub_rate_setting_variable_id": 123,
          "network_custom_scrub_rate_setting_id": 123,
          "comparison_method": "<string>",
          "variable": "<string>",
          "variable_value": "<string>",
          "variable_secondary_value": "<string>"
        }
      ]
    }
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom scrub rate setting identifier.

Query Parameters

relationship
enum<string>

Set to all to include expanded relationship data (ruleset, variables) in the response. Without this parameter, only affiliate and offer are returned.

Available options:
all

Response

200 - application/json
network_custom_scrub_rate_setting_id
integer

Unique custom scrub rate setting ID.

network_id
integer

Network ID.

network_offer_id
integer

Associated offer ID.

network_affiliate_id
integer

Associated affiliate ID.

name
string

Display name for this custom scrub rate setting.

custom_setting_status
enum<string>

Setting status.

Available options:
active,
inactive
scrub_rate_percentage
integer

The percentage of conversions that will be affected by this setting (0-100). Note that each conversion has the specified percentage chance of being scrubbed, rather than guaranteeing that exactly that percentage will be scrubbed.

scrub_rate_status
enum<string>

How the setting affects the conversions it targets. pending marks conversions as pending; rejected rejects them immediately.

Available options:
rejected,
pending
time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object